DROP DATABASE IF EXISTS kvtstore;

CREATE DATABASE kvtstore;

use kvtstore;

CREATE TABLE keyvalue (
	`primaryKey` varchar(255),
	`type` varchar(255),
	`data` longtext,
	`time` varchar(255),
	PRIMARY KEY (`primaryKey`, `type`),
	INDEX `timeIndex` (`type`, `time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE indexvalue (
	`indexName` varchar(255),
	`type` varchar(255),
	`value` varchar(255),
	`primaryKey` varchar(255),
	PRIMARY KEY (`primaryKey`, `type`, `indexName`),
	INDEX `typeIndexValueIndex` (`type`, `indexName`, `value`),
	INDEX `typePrimaryKeyIndex` (`type`, `primaryKey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP USER kvtstore;

CREATE USER kvtstore;

GRANT SELECT, INSERT, UPDATE, DELETE on * to kvtstore@'localhost' identified by 'kvtstore';

flush privileges;
