package se.gawell.kvtstore.core;

import java.io.IOException;
import java.io.InputStream;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class KVTStoreConfigurationChecker {

	Logger logger = LoggerFactory.getLogger(getClass());

	public void checkConfig() {
		InputStream resourceAsStream = getClass().getResourceAsStream(
				"/kvtstore.properties");
		boolean propertiesFilePresent = false;
		if (resourceAsStream != null) {
			try {
				resourceAsStream.available();
				propertiesFilePresent = true;
			} catch (IOException e) {
				e.printStackTrace();
			}
		}

		if (!propertiesFilePresent) {
			logger.info("Properties file kvtstore.properties is not present. Will use default settings. To add custom settings, add kvtstore.properties to classpath");

		}
	}

}
